#ifndef CONDITIONEDITOR_H
#define CONDITIONEDITOR_H

#include <QMainWindow>

namespace UKUI {
namespace IDM {
class FileInfo;
}
}

class Condition;

class ConditionEditor : public QMainWindow
{
    Q_OBJECT
public:
    enum Mode {
        Create,
        Edit,
        Search
    };

    explicit ConditionEditor(int spaceId, const QString &spaceName, Mode mode = Edit, QWidget *parent = nullptr);
    ~ConditionEditor();

    static QVariant pharseConditions(const QList<QSharedPointer<Condition> > &conditions);
    static QList<QSharedPointer<Condition> > generateContitionsFromDescription(const QVariant &description);

signals:
    void conditionChanged(int spaceId, const QString &spaceName, const QVariant &conditionDescription);
    void conditionCreatedRequest(const QString &spaceName, const QVariant &conditionDescription, bool isCreatedFromSearch, const QList<QSharedPointer<UKUI::IDM::FileInfo>> &infos = QList<QSharedPointer<UKUI::IDM::FileInfo>>());

private:
    int m_spaceId = -1;
    QString m_spaceName;
    Mode m_mode = Edit;
};

#endif // CONDITIONEDITOR_H
