#ifndef FILEINFO_P_H
#define FILEINFO_P_H

#include <QMutex>
#include <QColor>

namespace UKUI {
namespace IDM {
class FileInfoPrivate
{
public:
    enum State
    {
        Invalid,
        Valid
    };

    FileInfoPrivate() {}

    State state = Invalid;

    QString uri;
    QString path;
    QString parentPath;

    QString name;
    QString iconName;
    QString dateString;
    quint64 timeAccessMsec = -1;
    quint64 timeModifiedMsec = -1;
    quint64 timeCreatedMsec = -1;
    QString version;

    QString mimeType;
    QString fileType;

    quint64 size;
    QString sizeFormat;

    QList<int> labelIds;
    QList<QVariant> labelColors;

    QMutex mutex;
};
}
}

#endif // FILEINFO_P_H
