#ifndef THUMBNAILMANAGER_H
#define THUMBNAILMANAGER_H

#include <QObject>

class ThumbnailManagerPrivate;

class ThumbnailManager : public QObject
{
    Q_OBJECT
public:
    explicit ThumbnailManager(QObject *parent = nullptr);

signals:
    void thumbnailFinished(const QString &path, const QImage &image, const QString &errorMessage);

public slots:
    Q_INVOKABLE void startPreview(const QString &path);

    /*!
     * \brief setStrictedMode
     * \param strictedMode
     * \note
     * send thumbnailFinished() signal only the last thumbnail job done.
     */
    Q_INVOKABLE void setStrictedMode(bool strictedMode);

private:
    ThumbnailManagerPrivate *priv;
};

#endif // THUMBNAILMANAGER_H
