import QtQuick 2.0
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.4
import org.ukui.quick.items 1.0
import org.ukui.quick.platform 1.0

Item {
    property int controlSpacing: 8

    Icon {
        mode: Icon.Disabled
        source: "docviewer-app-symbolic"
        width: 128
        height: 128
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.verticalCenter
        anchors.bottomMargin: controlSpacing
    }

    Text {
        id: hintText
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.verticalCenter
        anchors.topMargin: controlSpacing
        width: parent.width * 2/3
        horizontalAlignment: Qt.AlignCenter
        wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        text: qsTr("The files in system would be displayed in the space, while they are existing in system and match the space's conditions")
    }

    RowLayout {
        anchors.top: hintText.bottom
        anchors.topMargin: controlSpacing
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            text: qsTr("You can manually")
        }

        LinkButton {
            text: qsTr("Add")

            onTriggered: {
                modelController.requestAddUserAddedFileToSapce(currentView.proxyModel);
            }
        }

        Text {
            text: qsTr("files, or")
        }

        LinkButton {
            text: qsTr("Edit Space Conditions")

            onTriggered: {
                modelController.editSpaceCondition(currentView.spaceId);
            }
        }
    }
}
