import QtQuick 2.0
import QtQuick.Controls 2.0
import org.ukui.quick.platform 1.0 as Platform

Text {
    signal triggered()

    color: Platform.Theme.link()
    Timer {
        id: timer
        interval: 100
        onTriggered: {
            color = Platform.Theme.link();
        }
    }

    Platform.Theme.onThemeColorChanged: {
        timer.restart();
    }

    Platform.Theme.onThemeNameChanged: {
        timer.restart();
    }

    Platform.Theme.onPaletteChanged: {
        timer.restart();
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            console.log("link button clicked");
            triggered();
        }
    }
}
