import QtQuick 2.0
import QtQuick.Controls 2.0
import org.ukui.quick.platform 1.0

Item {
    property int controlSpacing: 8

    Image {
        id: nopageindicator
        width: 263
        height: 200
        anchors.bottom: boldText.top
        anchors.bottomMargin: -controlSpacing
        anchors.horizontalCenter: parent.horizontalCenter
        source: "qrc:/data/nospaceindicator.png"
    }

    Text {
        id: boldText
        anchors.centerIn: parent
        font.bold: true
        font.pointSize: Theme.fontSize * 1.5
        text: qsTr("Intelligent Data Manager")
    }

    Text {
        id: hintText
        anchors.top:  boldText.bottom
        anchors.topMargin: controlSpacing
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Setting filter condition, polymerizing files dynamically.")
    }

    StyledButton {
        id: createSpaceButton
        anchors.top: hintText.bottom
        anchors.topMargin: controlSpacing
        anchors.horizontalCenter: parent.horizontalCenter
        width: 180
        height: 36
        state: "ImportantButton"
        text: qsTr("Create Space")

        onClicked: {
            modelController.createSpace();
        }
    }
}
