import QtQuick 2.0
import QtQuick.Controls 2.0
import FileItemProxySortFilterModel 1.0

TabButton {
    width: implicitWidth

    property Item viewItem: Item{}
    property FileItemProxySortFilterModel proxyModel: FileItemProxySortFilterModel{}

    signal spaceRenameRequest(int spaceId)
    signal spaceRemoveRequest(int spaceId)
    signal spaceEditRequest(int spaceId)

    MouseArea {
        acceptedButtons: Qt.RightButton
        anchors.fill: parent

        onClicked: {
            var pos = mapToGlobal(mouse.x, mouse.y);
            contextMenu.popup();
        }

        Menu {
            id: contextMenu
            MenuItem {
                text: qsTr("Rename")
                onTriggered: {
                    spaceRenameRequest(proxyModel.getSpaceId());
                }
            }
            MenuItem {
                text: qsTr("Remove Space")
                onTriggered: {
                    spaceRemoveRequest(proxyModel.getSpaceId());
                }
            }
            MenuItem {
                text: qsTr("Edit Space Condition")
                onTriggered: {
                    spaceEditRequest(proxyModel.getSpaceId());
                }
            }
        }
    }
}
