import QtQuick 2.0
import QtQuick.Controls 2.0

ToolBar {
    background: Item{
        z: -1
        MouseArea {
            property bool pressed: false
            anchors.fill: parent
            hoverEnabled: true
            propagateComposedEvents: true
            acceptedButtons: Qt.LeftButton

            onPressed: {
                mouse.accepted = true;
                pressed = true;
            }

            onReleased: {
                mouse.accepted = true;
                console.log("mouse released");
                pressed = false;
            }

            onPositionChanged: {
                //console.log("mouse position changed", mouse.x, mouse.y);
                mouse.accepted = true;
                if (pressed) {
                    var pos = this.mapToGlobal(mouse.x, mouse.y);
                    mainWindow.systemMoveRequest(pos);
                    //mainWindow.startSystemMove();
                    pressed = false;
                }
            }
        }
    }
}
